Package Details: deutex-devel 4.4.902.r15.g1627a78-1

Git Clone URL: https://aur.archlinux.org/deutex-devel.git (read-only)
Package Base: deutex-devel
Description: A WAD file composer for Doom, Heretic, Hexen and Strife
Upstream URL: http://www.teaser.fr/~amajorel/deutex/
Licenses: custom
Conflicts: deutex
Provides: deutex
Submitter: None
Maintainer: None
Last Packager: FredBezies
Votes: 45
Popularity: 0.200375
First Submitted: 2007-02-14 23:56
Last Updated: 2015-10-13 19:16

Dependencies (2)

Required by (4)

Sources (1)

Latest Comments

FredBezies commented on 2017-07-22 18:05

Dead package. Do not try to adopt or upgrade it. Thanks!

FredBezies commented on 2017-07-16 06:51

@chungy : new package created replacing and providing this one. See https://aur.archlinux.org/packages/deutex-git/

Will ask for deletion for this package which is obsolete now.

chungy commented on 2017-07-16 01:40

Handful of comments:

1. This package should be renamed to deutex-git to bring it into the proper Arch naming standards. (I think you can just make a new one and request this be deleted, but I'm not an authority on that!)

2. I've been making a lot of changes in the past day or so to drag DeuTex into the modern age. Among them was trashing the hand-written configure script in favor of an autoconf/automake system, as a result there is no more ./configure in the repository. The impact on your packaging is significant but not complicated:
* building the manpage now creates a makedepends on asciidoc
* add a prepare() function to run ./bootstrap (or "autoreconf -i", which is all that script does)
* change the build() function to run "./configure --prefix=/usr"
* change the package() section to remove the existing install and make lines, replace them with 'make DESTDIR="$pkgdir" install'

3. There is PNG support coming soon (already available in a branch but I don't quite have the go-ahead from its author to merge it), within the next day I'd say. This will add a depends on libpng.

4. Likewise, GIF support might be moved to depend on giflib, watch out for it. (I'll likely comment here when/if I do it.)

5. You can change the license from "custom" to "GPL2" -- the way the license works, the entire distribution of DeuTex is GPL2 anyway, the other licenses only matter when pulling bits out of it. Likewise, removing the installation of the LICENSE file from package().

(sorry about double-emails... accidentally deleted the comment)

FredBezies commented on 2014-10-15 15:26

Adopted and upgraded to a more up-to-date version based on this git repository : https://github.com/chungy/deutex

jsteel commented on 2012-09-18 16:57

glibc should be a dependency. You can check that with namcap. Thanks.